# Third-Party Resources

A collection of third-party software projects that integrate with SITE_NAME.
Please submit additions and corrections
[on GitHub](https://github.com/healthchecks/healthchecks/issues).

## Tools for Self-Hosting

* [linuxserver/docker-healthchecks](https://github.com/linuxserver/docker-healthchecks) – Docker image
* [galexrt/docker-healthchecks](https://github.com/galexrt/docker-healthchecks) – Docker image
* [haswalt/docker-healthchecks](https://github.com/haswalt/docker-healthchecks) – Docker image
* [iphoting/healthchecks](https://github.com/iphoting/healthchecks/) – Deploy Healthchecks to Heroku
* [coaxial/healthchecks](https://galaxy.ansible.com/coaxial/healthchecks) – Ansible role for deploying Healthchecks

## Command Runners, Shell Wrappers

* [runitor](https://github.com/bdd/runitor) - A command runner with Healthchecks.io integration to keep your scripts and containers simple.
* [SmartCronHelper](https://gitlab.science.ru.nl/bram/sch) – A cron shell wrapper. Automatically registers and pings cron jobs listed in crontab.
* [crontask.sh](https://github.com/pforret/crontask) – bash wrapper to use in crontab. Supports pinging.

## API Wrappers

### Go

* [kristofferahl/go-healthchecksio](https://github.com/kristofferahl/go-healthchecksio) – Supports listing, creating, updating, deleting, pausing, pinging.
* [frozzare/go-healthchecks](https://github.com/frozzare/go-healthchecks) – Supports pinging and failing.

### Javascript

* [pauldenver/healthchecks-io-client](https://github.com/pauldenver/healthchecks-io-client) – Supports listing, creating, updating, deleting, pausing and pinging checks. Supports listing integrations.
* [jwulf/healthchecks.io](https://github.com/jwulf/healthchecks.io) – Supports pinging.
* [MyPropertyOffice/node-hchk](https://github.com/MyPropertyOffice/node-hchk) –  Supports listing, creating, updating, deleting, pausing and pinging checks. Supports listing integrations.

### PHP

* [henrywhitaker3/PHP-healthchecks.io](https://github.com/henrywhitaker3/PHP-healthchecks.io) –  Supports listing, creating, updating, deleting, pausing, pinging, failing and starting checks. Supports listing integrations.
* [prgTW/healthchecks-bundle](https://github.com/prgTW/healthchecks-bundle) – Symfony bundle. Supports listing, creating, pinging, pausing.
* [janiscaunecm/Healthchecks_Magento](https://github.com/janiscaunecm/Healthchecks_Magento) – Magento module for Healthchecks.io.

### PowerShell

* [davehope/HealthChecksIOStatusReport](https://github.com/davehope/HealthChecksIOStatusReport) – Supports pinging.

### Python

* [healthchecks/hchk](https://github.com/healthchecks/hchk) – Supports creating, pinging.

### Ruby

* [gyde-tv/checks](https://github.com/gyde-tv/checks) – Supports pinging.

### Rust

* [msfjarvis/healthchecks-rs](https://github.com/msfjarvis/healthchecks-rs) – Supports all current Ping API and Management API calls.

### Terraform

* [terraform-provider-healthchecksio](https://github.com/kristofferahl/terraform-provider-healthchecksio) – Terraform Provider for Healthchecks.io. Supports creating, updating, deleting checks.

## Backup Software Integrations

* [binarybucks/restic-tools](https://github.com/binarybucks/restic-tools) – Wrapper around restic backup, with Healthchecks.io support.
* [borgmatic](https://torsion.org/borgmatic/docs/how-to/monitor-your-backups/#healthchecks-hook) – backup software for servers and workstations, includes Healthchecks.io support.

## Dashboards

* [healthchecks/dashboard](https://github.com/healthchecks/dashboard) – A standalone HTML page showing the status of the checks in your account.
* [HealthTray](https://github.com/taylus/HealthTray) – Watch your healthchecks in Windows system tray.
